% LQR Design for the Launch Vehicle
% Pitch Axis
[Api,Bpi,Cpi,Dpi]= pitch_des;                     % Load the Augm Pitch Design Model
sys=ss(Api,Bpi,Cpi,Dpi);                          % State Weights: [theta, q, alfa, alf_int]
Qp=diag([0.01, 0.01, 43, 0.005]); Rp=0.6;         % State Weights: [0.01, 0.01, 43, 0.005]
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t100.mat Kq -ascii                        % Save the LQR gains in Kpqr.mat

% Lateral Axis
[Ali,Bli,Cli,Dli]= later_des;                     % Load the Augm Lateral Design Model
sys=ss(Ali,Bli,Cli,Dli);                          % X Weights (phi, p,   psi,  r,  beta, beta_int)
Ql=diag([5.0, 0.01, 7.5, 0.01, 2, 0.005]);        % X Weights [5.0, 0.01, 7.5, 0.01, 2, 0.005]
Rl=diag([0.5  0.5]);                              % U Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t100.mat Kpr -ascii                      % Save the LQR gains in Kpr.mat

