% LQR Design for the Launch Vehicle
% Pitch Axis
[Api,Bpi,Cpi,Dpi]= pitch_des;                       % Load the Augm Pitch Design Model
sys=ss(Api,Bpi,Cpi,Dpi);                            % State Weights: [theta, q, alfa, thet_int]
Qp=diag([8.0, 0.01, 1.e-10, 0.45]); Rp=0.9;         % State Weights: [8.0, 0.01, 1.e-10, 0.45]
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t166.mat Kq -ascii                          % Save the LQR gains in Kq.mat

% Lateral Axis
[Ali,Bli,Cli,Dli]= later_des;                       % Load the Augm Lateral Design Model
sys=ss(Ali,Bli,Cli,Dli);                            % X Weights (phi,p, psi,r, beta, psi_int)
Ql=diag([5.0  0.01  8.0  0.01  1.e-10  0.45]);      % X Weights [5  0.01 8  0.01 1.e-10 0.45]
Rl=diag([0.8  0.9]);                                % Control Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t166.mat Kpr -ascii                        % Save the LQR gains in Kpr.mat

