% LQR Design for the Launch Vehicle
% Pitch Axis
init;
[Api,Bpi,Cpi,Dpi]= pitch_des;                       % Load the Augm Pitch Design Model
sys=ss(Api,Bpi,Cpi,Dpi);                            % State Weights: [theta, q, alfa, alf_int]
Qp=diag([0.01, 0.01, 40, 0.01]); Rp=0.4;            % State Weights: [0.1, 0.1, 1.0e-4, 4.e-2]
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t80.mat Kq -ascii                           % Save the LQR gains in Kpqr.mat

% Lateral Axis
[Ali,Bli,Cli,Dli]= later_des;                       % Load the Augm Lateral Design Model
sys=ss(Ali,Bli,Cli,Dli);                            % X Weights (phi, p,   psi, r,   beta,    beta_int)
Ql=diag([5, 0.01, 5.0, 0.01, 5, 0.01]);          % X Weights [2.5, 0.1, 8.0, 0.1, 1.0e-8 , 5.0e-4]
Rl=diag([0.4  0.4]);                                % U Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t80.mat Kpr -ascii                         % Save the LQR gains in Kpr.mat

