% Stability Analysis Script freq.m
init;
w=logspace(-1.5, 3, 44000);              % Define Frequ Range

[A1,B1,C1,D1]= linmod('Open_Flex');      % Linearize Open-Loop Simulink model 
syso= ss(A1,B1,C1,D1);                   % Create Vehicle  SS System
figure(10); nichols(syso,syso,w)         % Plot Nichol's Chart
figure(20); bode(syso,syso,w)            % Plot Bode
syso2=syso;

% Sensitivity Analysis
[Ac,Bc,Cc,Dc]= linmod('Sensitiv_Flex');  % Linear Closed-Loop Simulink model 
sysc= ss(Ac,Bc,Cc,Dc);                   % Create Vehicle  SS System
figure(30); sigma(sysc,w)                % Plot Sensitivity
