% Initialize Parameters
d2r= pi/180; r2d=180/pi; Ts=0.000001;
[Av, Bv, Cv, Dv] = vehicle;                    % Load Vehicle/Slosh Analysis Model
[Av2,Bv2,Cv2,Dv2]= vehicle_pend;               % Load Vehicle Alone Analysis Model
[Aa, Ba, Ca, Da]= actuator;                    % Load Linear Actuator Model
load Kmix_t350 -ascii;  Kmix=Kmix_t350;        % Load the Mixing-Logic Matrx
load Kq_t350   -ascii;  Kq=Kq_t350;            % Load the Pitch LQR Gains

nt=8; Thr=3.0;                                 % Number of Jets, Thrust (lbf)
x1_ini= [-1,0, -2,0, 2,0]*d2r;                 % Attitude/Rate Initialization
x2_ini=zeros(1,32); x2_ini=[x1_ini,x2_ini];    % Model-1 State Initialization
x3_ini=zeros(1,24); x3_ini=[x1_ini,x3_ini];    % Model-2 State Initialization
Xcg=91.75; Ixx=3561; Iyy=20921; Izz=20763;     % Phase-Plane Parameters

% Spherical Pendulum Slosh Parameters
Ax=54.8; Rsl=2.5;
Ws=sqrt(Ax/Rsl); Zeta=0.002;
Mlox=119.3; Mlh2=41.12; 
thet0=18.0*d2r;                    % Initial Pendul Angle from vertical +ve
phi0=45*d2r;                      % Initial Roll Angle Measured CounterClock
phid0=200.0*d2r;                   % Initial Roll Rate CounterClockwise (deg/sec)
R0=Rsl*sin(thet0);                % radial Distance from Tank Centerline
Ys0=R0*cos(phi0);                 % Slosh Mass Initial Ys, Zs Position
Zs0=-R0*sin(phi0);                % Relative to the Tank Centerline
