function [Ave, Bve, Cve, Dve]= vehi_roll_rb
% Apollo-20, Stage-1, Max-Q, Rigid Body, RCS Control, Roll Axis                                       
Ave= [
   0.00000000E+00   0.10000000E+01
   0.00000000E+00   0.00000000E+00
];

Bve= [
   0.00000000E+00   0.00000000E+00   0.00000000E+00   0.00000000E+00
   0.63465743E-02   0.63658190E-02   0.63628188E-02   0.63435741E-02
];

Cve= [
   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.10000000E+01
];

Dve= [
   0.00000000E+00   0.00000000E+00   0.00000000E+00   0.00000000E+00
   0.00000000E+00   0.00000000E+00   0.00000000E+00   0.00000000E+00
];

%  Definition of State-Space System Variables

%  Inputs  =   4
%    1    Throttle Input dTh/Th for Engine No  2 (-)             
%    2    Throttle Input dTh/Th for Engine No  3 (-)             
%    3    Throttle Input dTh/Th for Engine No  4 (-)             
%    4    Throttle Input dTh/Th for Engine No  5 (-)             
 
%  States  =   2
%    1    Roll Attitude     (phi-rigid)    (radians)             
%    2    Roll Rate         ( p -rigid)    (rad/sec)             
 
%  Outputs =   2
%    1    Roll Attitude  (phi-123)   (radians)                   
%    2    Roll Rate      (p-body)    (rad/sec)                   
